Suggest channel categories for the product
GET
/api/v1/workspaces/{workspaceId}/products/{productId}/channels/{connectionId}/category-suggestions
const url = 'https://api.crossmart.io/api/v1/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/channels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/category-suggestions';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.crossmart.io/api/v1/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/channels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/category-suggestionsSearches the channel’s categories for search, or for the product’s title.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string format: uuid
productId
required
string format: uuid
connectionId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”search
string
Keywords; the product’s title when absent
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
id
required
string
name
required
The category with its ancestors, as the channel shows it
string
Example
[ { "id": "20625", "name": "Home & Garden > Kitchen, Dining & Bar > Dinnerware & Serving Dishes > Mugs" }]